Bug 697780 - Review Request: rubygem-daemon_controller - A library for implementing daemon management capabilities
Summary: Review Request: rubygem-daemon_controller - A library for implementing daemon...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 08:59 UTC by Peng Wu
Modified: 2011-06-29 18:26 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-26 16:03:19 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Modification to spec to follow ruby guidelines (1.70 KB, text/x-rpm-spec)
2011-04-21 06:06 UTC, Parag AN(पराग)
no flags Details

Comment 1 Parag AN(पराग) 2011-04-19 14:56:04 UTC
Suggestions:
1) Each Ruby package MUST indicate the Ruby ABI version it depends on. Add following at top lines
   %global	rubyabi	1.8
2) missing BR
BuildRequires:	ruby(abi) = %{rubyabi}
3) License looks MIT
4) For fedora we don't need buildroot,%clean section and cleaning of buildroot in %install
5) Please provide direct download link for source to verify its checksum

Comment 2 Parag AN(पराग) 2011-04-20 03:55:54 UTC
oops I just realized that its actually missing Requires and not BR: in above 2)

Comment 4 Vít Ondruch 2011-04-20 10:20:27 UTC
Could you please execute test suite during build?

Comment 5 Parag AN(पराग) 2011-04-21 06:06:39 UTC
Created attachment 493708 [details]
Modification to spec to follow ruby guidelines

- enable testsuite

Comment 6 Peng Wu 2011-04-21 06:51:51 UTC
Thanks very much for the help.

Here are the new spec and rpm:
Spec URL:http://pwu.fedorapeople.org/rubygem-daemon_controller/rubygem-daemon_controller.spec
SRPM URL:http://pwu.fedorapeople.org/rubygem-daemon_controller/rubygem-daemon_controller-0.2.5-3.fc14.src.rpm

Please review it again.

Comment 7 Parag AN(पराग) 2011-04-21 07:11:15 UTC
Review:

+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3015387

+ Upstream source verified as (sha1sum)
929a9c6b62777eabff49cb83821bba4d43e1ea57  daemon_controller-0.2.5.gem
929a9c6b62777eabff49cb83821bba4d43e1ea57  ../SOURCES/daemon_controller-0.2.5.gem

+ rpmlint gave
rubygem-daemon_controller-doc.noarch: W: no-documentation
rubygem-daemon_controller-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/daemon_controller-0.2.5/spec/echo_server.pid.lock
rubygem-daemon_controller-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/daemon_controller-0.2.5/ri/DaemonController/running%3f-i.yaml %3f
3 packages and 0 specfiles checked; 1 errors, 2 warnings.

==> I think its ok to have echo_server.pid.lock as zero-length file.

Suggestions:
1) Looks I missed to add following to -doc instead of main package
 %{geminstdir}/*.gemspec


APPROVED.

Comment 8 Peng Wu 2011-04-21 09:17:43 UTC
New Package SCM Request
=======================
Package Name: rubygem-daemon_controller
Short Description: A library for implementing daemon management capabilities
Owners: pwu
Branches: f15 f14 f13 el6
InitialCC: i18n-team petersen jamesni

Comment 9 Jason Tibbitts 2011-04-22 14:28:08 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-04-25 05:58:25 UTC
rubygem-daemon_controller-0.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-daemon_controller-0.2.6-1.fc14

Comment 11 Fedora Update System 2011-04-25 05:58:33 UTC
rubygem-daemon_controller-0.2.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-daemon_controller-0.2.6-1.fc15

Comment 12 Fedora Update System 2011-04-25 05:58:41 UTC
rubygem-daemon_controller-0.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-daemon_controller-0.2.6-1.fc13

Comment 13 Fedora Update System 2011-04-25 20:53:37 UTC
rubygem-daemon_controller-0.2.6-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 14 Fedora Update System 2011-04-26 16:03:13 UTC
rubygem-daemon_controller-0.2.6-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-04-26 21:50:41 UTC
rubygem-daemon_controller-0.2.6-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-04-26 21:52:24 UTC
rubygem-daemon_controller-0.2.6-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 17 Steve Snodgrass 2011-06-21 19:06:42 UTC
Is this package going to make it into EPEL6?  It would be helpful.

Comment 18 Fedora Update System 2011-06-28 02:53:08 UTC
rubygem-daemon_controller-0.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-daemon_controller-0.2.6-1.el6

Comment 19 Fedora Update System 2011-06-29 18:26:04 UTC
rubygem-daemon_controller-0.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.